3
votes
0answers
26 views

Unable to build QtQuick 2 projects

I'm running Xubuntu 14.04, and I have the following packages installed: qt5-default (5.2.1) qtcreator (3.0.1-0ubuntu4) qml (5.2.1-3ubuntu15.1) They were installed from the official repos and are ...
0
votes
1answer
90 views

Ubuntu Qmake is not an executable

I have the latest versions of qtcreator, qt5-qmake build-essential and g++ installed. In option of Build & Run and choose qmake in /usr/bin/qmake I get this error: The qmake executable ...
3
votes
0answers
354 views

Ubuntu and Qt creator keyboard layout change problem

When I run Qt Creator on my Ubuntu 14.04 with English layout, it always types in English and it won't change if I change my layout to other language. In front, when I run Qt Creator with Persian ...
2
votes
1answer
2k views

Ubuntu 14.04 QtCreator Qt5 examples missing

After upgrading to Ubuntu 14.04 I removed the official qtcreator in order to install the modified version from the software center because I'd like to try the SDK. Fortunately, the docs are now ...
0
votes
1answer
171 views

module “QtQml.Models” is not installed

After upgrading to Ubuntu 14.04 I removed the official qtcreator in order to install the modified version from the software center because I'd like to try the SDK. Fortunately, the docs are now ...
1
vote
0answers
19 views

Use SystemSettings 1.0?

I'm developing a new app that I need to use the SystemSettings module for (I need to get the device serial, IMEI and stuff). When looking for a way to get these numbers I came across Ubuntu System ...
0
votes
0answers
42 views

Which PPA should I branch for developing the Unity Desktop UI itself? [duplicate]

In 14.04 using the ubuntu sdk. Imported lp:unity8, and lp:unity-mir. Unity8 requires unity-mir. unity-mir requires Qt5 core. I have it installed from the repositories, and so I just do not get what I ...
0
votes
1answer
76 views

Missing package in Ubuntu SDK - qtdeclarative5-ubuntu-webapps-api

Installing the Ubuntu SDK failed because of missing package qtdeclarative5-ubuntu-webapps-api this was the message from apt-get: The following packages have unmet dependencies: ubuntu-html5-sdk ...
0
votes
0answers
215 views

App development without Qt Creator

Is it possible to develop app for Ubuntu without using Qt Creator? I wrote the same code in other text editor and compiled using qmlscene fileName.qml. An error popped up saying "components": no such ...
0
votes
0answers
170 views

QtCreator install not recognized

I've installed QtCreator 5.1.1 according to this site Install Qt-5 and everything is working well with it. I installed it /opt/QT5. Unfortunately, Muon software center does not list QtCreator in its ...
0
votes
1answer
131 views

Cannot run Ubuntu (touch) Facebook App [closed]

as said in the title, I'm not able to run and try Facebook App, such as it happens in the reported (not by me) bug #1226770 https://bugs.launchpad.net/ubuntu-facebook-app/+bug/1226770 The ...
3
votes
1answer
959 views

Ubuntu SDK and QtCreator will not start

I have tried sudo apt-get purge ubuntu-sdk qtcreator qtcreator-plugin-ubuntu qtcreator-plugin-cordovaqt and then sudo apt-get install ubuntu-sdk but QtCreator will still not start. It does not show up ...
1
vote
1answer
258 views

importing C++/Qt module in QML

I have made a module to execute a shell script from within QML. The problem that I'm having is that I don't know how to import the module into my QML script. This is for a UT application BTW.
1
vote
0answers
165 views

Error while executing standard Ubuntu Touch program

I've followed the instructions for the standard app and it was all working ok. I had some issues with ComponentsShowcase.qml, because of which I messed up the app. So, I removed the PPAs and added ...
4
votes
2answers
2k views

Missing documentation for Qt5 on Ubuntu 13.04

I use Qt Creator for building applications and recently I decided to upgrade my Ubuntu from 12.10 to 13.04 and upgrade my current project from Qt4 to Qt5. The problem is that the Help section provides ...
1
vote
1answer
2k views

Recent Qt repository

Is there any repository for latest Qt versions (recent version is 5.0.1 while ubuntu has 4.8) ? PS I found this PPA but it tagged as [deprecated]!!!, so I'm wondering what if there is official one ...
1
vote
0answers
137 views

Ubuntu Phone App Development Clarification

I attempting to follow the Ubuntu Phone App development tutorial to make a Currency Converter, and I am simply unable to complete the tutorial. I have installed all of the latest QT/Phone related ...
2
votes
1answer
156 views

ListView Subtitled delegate, icon size and title word wrapping?

I'm working on an ubuntu mobile app and I have a few questions about customizing a listview. The listitem may contain an icon, but will have a title and subtitle. What I'm having trouble with is ...
1
vote
3answers
6k views

How can i uninstall QtCreator 2.6.1 from 12.04?

I downloaded QtCreator 2.6.1 from the official website http://qt-project.org/downloads#qt-creator because i'm using ubuntu 12.04. Now i need to uninstall it. How can i do it? 64-bit Linux Installer ...
7
votes
1answer
5k views

How to add Qt5 to Qt Creator?

I've added the Qt5 Daily repository, installed the qt5-meta-full and added /opt/qt5/bin/qmake to Qt Versions. Now I get :-1: error: Unknown module(s) in QT: declarative Is it possible yet to use ...